# Contributing

## Public Participation Invited

NIEMOpen is an [OASIS Open Project](https://www.oasis-open.org/open-projects/) and welcomes participation by anyone, whether affiliated with OASIS or not. Substantive contributions and feedback are invited from all parties, following the common conventions for participation in GitHub public repository projects.

Participation is expected to be consistent with the [OASIS Code of Conduct](https://www.oasis-open.org/policies-guidelines/oasis-participants-code-of-conduct/), the licenses applicable for this repository, and the acceptance of our [Contributor License Agreement](https://cla-assistant.io/niemopen/niem-models), generally at the time of first contribution.

## How to Contribute

When contributing to this repository, please first discuss significant changes you wish to make via issue, GitHub discussion, NBAC monthly meeting, or the [NBAC TSC's email list](mailto:niemopen-nbactsc@lists.oasis-open-projects.org).

The [NTAC](https://github.com/niemopen/ntac-admin/tree/main) has published the [NIEMOpen Publication Process Project Note](https://docs.oasis-open.org/niemopen/niem-pubs/v1.0/niem-pubs-v1.0.html), which includes information about NIEM versioning practices, the steps involved in updating NIEM content, and the process of approving products as OASIS Project Specification Drafts and [Project Specifications](https://www.oasis-open.org/policies-guidelines/oasis-defined-terms-2018-05-22/#dProj-spec).

### Issues

One of the best ways to communicate with the rest of the project contributors is by opening a GitHub issue!

### Discussions and announcements

Longer discussions can be taken up on the GitHub Discussions list or via the [NBAC TSC's email list](mailto:niemopen-nbactsc@lists.oasis-open-projects.org).

Discussions are a relatively new feature in GitHub that function like a chat service. You can find the Discussions link next to the link for Pull Requests.

The mailing list requires that you subscribe before you can send.

General announcements are posted to the general mailing list and may be posted to other communications channels as well.

### Chat [optional]

The NIEM community uses Slack for ad hoc discussion. If you wish to join the channel, use [this invite](https://join.slack.com/t/niemopen/shared_invite/zt-1euq4c3a9-dBhPg7k2UTSNllCyEYJU9Q).

### About the CLA Bot

When you first submit a pull request, CLA Assistant, a bot, will check to see whether you have previously signed the [Individual CLA](https://github.com/oasis-open-projects/documentation/blob/master/policy/clas-and-special-covenant.md). If you have already done so, this check will pass. If not, the bot will comment on the PR with a link and instruction for you to click and sign the CLA electronically via GitHub. If you use different GitHub accounts for work and personal use, please make sure you are signed in to the correct account.

## Feedback

Questions or comments about this project's work may be composed as GitHub issues or comments or may be directed to the project's general email list at niemopen@lists.oasis-open-projects.org. General questions about OASIS Open Projects may be directed to OASIS staff at op-admin@lists.oasis-open-projects.org
